## juju-quickstart 1.3.1

=== Makefile ===
# This file is part of the Juju Quickstart Plugin, which lets users set up a
# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
# Copyright (C) 2012-2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License version 3, as published by
# the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranties of MERCHANTABILITY,
# SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

PYTHON = python
SYSDEPS = build-essential python-dev python-pip python-virtualenv

VENV = .venv
VENV_ACTIVATE = $(VENV)/bin/activate


$(VENV_ACTIVATE): test-requirements.pip requirements.pip
	virtualenv --distribute -p $(PYTHON) $(VENV)
	$(VENV)/bin/pip install --use-mirrors -r test-requirements.pip || \
		(touch test-requirements.pip; exit 1)
	@touch $(VENV_ACTIVATE)

all: setup

check: test lint

clean:
	$(PYTHON) setup.py clean
	rm -rfv build/ dist/ juju_quickstart.egg-info MANIFEST
	rm -rfv $(VENV)
	find . -name '*.pyc' -delete
	find . -name '__pycache__' -type d -delete

setup: $(VENV_ACTIVATE)

help:
	@echo -e 'Juju Quickstart - list of make targets:\n'
	@echo 'make sysdeps - Install the development environment system packages.'
	@echo 'make - Set up the development and testing environment.'
	@echo 'make test - Run tests.'
	@echo 'make lint - Run linter and pep8.'
	@echo 'make check - Run tests, linter and pep8.'
	@echo 'make source - Create source package.'
	@echo 'make install - Install on local system.'
	@echo 'make run - Run the application in the development environment.\n'
	@echo '  If "juju switch" has been used to set a default environment, that'
	@echo '  environment will be used. It is possible to override the default'
	@echo '  Juju environment by setting the JUJU_ENV environment variable,'
	@echo '  e.g.: "make run JUJU_ENV=ec2".'
	@echo 'make debug - Same as the "run" target but with the --debug flag.\n'
	@echo 'make clean - Get rid of bytecode files, build and dist dirs, venv.'
	@echo 'make release - Register and upload a release on PyPI.'

install:
	$(PYTHON) setup.py install
	rm -rfv ./build ./dist ./juju_quickstart.egg-info

lint: setup
	@$(VENV)/bin/flake8 --show-source --exclude=$(VENV) ./quickstart

release: check
	$(PYTHON) setup.py register sdist upload

run: setup
	$(VENV)/bin/python ./juju-quickstart

debug: setup
	$(VENV)/bin/python ./juju-quickstart --debug

source:
	$(PYTHON) setup.py sdist

sysdeps:
	sudo apt-get install --yes $(SYSDEPS)

test: setup
	@$(VENV)/bin/nosetests -s --verbosity=2 \
	    --with-coverage --cover-package=quickstart quickstart
	@rm .coverage

.PHONY: all clean check debug help install lint release run setup source \
	sysdeps test

=== debian/changelog ===
juju-quickstart (1.3.1-0ubuntu1.1) trusty; urgency=medium

  * Cherry-pick bugfixes from 1.3.2:
    - Make control bucket optional (LP: #1309678).
    - Support Trusty environments (LP: #1306537).
    - Check unicode support (LP: #1311321).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 02 Jul 2014 16:47:16 +0000

juju-quickstart (1.3.1-0ubuntu1) trusty; urgency=medium

  * New upstream release. Upstream changes:
    - Support MachineInfo addresses (LP: #1301464).
    - Support the --ppa flag for distro packaging (for LP: #1301481).
  * d/p/distro-only-default: default to --distro-only when running
    juju-quickstart installed from the Ubuntu archive (LP: #1301481).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 09 Apr 2014 09:03:59 +0000

juju-quickstart (1.3.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1282630).
  * Drop patch now included in release: d/p/trusty-jujuclient.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 02 Apr 2014 14:02:36 +0000

juju-quickstart (1.1.0-0ubuntu2) trusty; urgency=medium

  * Add test dependencies to Build-Depends.
  * d/p/trusty-jujuclient: make quickstart use the newer python-jujuclient
    included in Trusty. This was required for tests to pass.
  * Run tests on package build.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 17 Mar 2014 16:27:26 +0000

juju-quickstart (1.1.0-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 20 Feb 2014 15:35:59 +0000

juju-quickstart (1.0.0-0ubuntu1) trusty; urgency=medium

  * Initial release.

 -- James Page <james.page@ubuntu.com>  Fri, 31 Jan 2014 17:13:54 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
		set -e; for ver in $(shell pyversions -rv); do \
			nosetests-$$ver quickstart; \
		done;
else
		@echo "** tests disabled"
endif

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/j/juju-quickstart/juju-quickstart-(.*)\.tar\.gz

## juju-quickstart 1.4.2

=== debian/changelog ===
juju-quickstart (1.4.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.
    - Support the lxc-clone and lxc-clone-aufs options.
    - support pass through of --upload-tools --upload-series and 
      --constraints from quickstart to bootstrap (LP: #1274584)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 21 Aug 2014 15:41:55 -0400

juju-quickstart (1.4.1-0ubuntu1) utopic; urgency=medium

  * New upstream release.
    - Includes support for Juju 1.20 (LP: #1337831).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 08 Jul 2014 10:57:02 +0000

juju-quickstart (1.4.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 26 Jun 2014 17:48:19 +0000

## juju-quickstart 1.6.0

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 $(VENV_ACTIVATE): test-requirements.pip requirements.pip
 	virtualenv --distribute -p $(PYTHON) $(VENV)
-	$(VENV)/bin/pip install --use-mirrors -r test-requirements.pip || \
+	$(VENV)/bin/pip install -r test-requirements.pip || \
 		(touch test-requirements.pip; exit 1)
 	@touch $(VENV_ACTIVATE)

=== debian/changelog ===
juju-quickstart (1.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 15 Jan 2015 16:32:22 +0000

juju-quickstart (1.5.0-0ubuntu2) vivid; urgency=medium

  * Add dep8 smoke test.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 08 Jan 2015 17:45:54 +0000

juju-quickstart (1.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * d/control: version the python-jujuclient build-depends, since tests
    fail if an older version is used. This reflects the current
    requirements.pip line.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 08 Jan 2015 15:14:22 +0000

=== debian/control ===
Source: juju-quickstart
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Francesco Banconi <francesco.banconi@canonical.com>
Standards-Version: 3.9.5
Build-Depends:
 debhelper (>= 8~),
 python-all,
 python-setuptools,
 python-nose,
 python-jujuclient (>= 0.18.4),
 python-mock,
 python-urwid,
 python-yaml
XS-Python-Version: all
Homepage: https://launchpad.net/juju-quickstart
XS-Testsuite: autopkgtest

Package: juju-quickstart
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Easy configuration of Juju environments
 Juju Quickstart is a Juju plugin which supports easy configuration of a Juju
 environment. The environment is bootstrapped and set up that it can be
 managed using the Juju GUI.

=== debian/tests/control ===
Tests: smoke
Depends: juju-core, juju-local, juju-quickstart
Restrictions: isolation-machine allow-stderr
